Name:           layer-shell-qt
Version:        5.27.11
Release:        1
Summary:        Library to easily use clients based on wlr-layer-shell

License:        LGPLv3+
URL:            https://invent.kde.org/plasma/%{name}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.82

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtbase-static

BuildRequires:  qt5-qtwayland-devel
BuildRequires:  qt5-qtdeclarative-devel

BuildRequires:  libxkbcommon-devel
BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel

%description
This component is meant for applications to be able to easily use clients
based on wlr-layer-shell

%package devel
Summary:        Developer files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel >= 5.15.0
%description devel
%{summary}.

%prep
%autosetup


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%license LICENSES/*
%{_libdir}/libLayerShellQtInterface.so.5*
%{_qt5_plugindir}/wayland-shell-integration/

%files devel
%{_includedir}/LayerShellQt/
%{_libdir}/libLayerShellQtInterface.so
%{_libdir}/cmake/LayerShellQt/

%changelog
* Thu Mar 14 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.11-1
- Update package to version 5.27.11

* Mon Jan 08 2024 houhongxun <houhongxun@kylinos.cn> - 5.27.10-1
- update to version 5.27.10

* Mon Aug 07 2023 yajun<yajun@kylinos.cn> - 5.27.6-1
- update to upstream version 5.27.6

* Mon Dec 12 2022 lijian <lijian2@kylinos.cn> - 5.26.4-1
- update to version 5.26.4

* Tue Jul 5 2022 peijiankang<peijiankang@kylinos.cn> - 5.25.2-1
- update to version 5.25.2

* Tue Feb 22 2022 peijiankang<peijiankang@kylinos.cn> - 5.24.0-2
- update to version 5.24.0-2

* Sat Feb 12 2022 peijiankang<peijiankang@kylinos.cn> - 5.24.0-1
- update to upstream version 5.24.0
